#
# Spec file for prolinga-run (network client)
#
Summary: 	ProLinga run-time interpreter engine.
Name: 		prolinga-run
Version: 	0.0.1
Release: 	1.net.fc8.xobas
License: 	GPL
Group:		System Environment/Libraries
Source: 	http://download.prolinga.org/main/sources/%{name}-%{version}.tar.gz
URL: 		http://www.xobas.com/
Vendor: 	Xobas Software
Packager: 	Bas Driessen <bas.driessen@xobas.com>
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Requires: 	gtk2 >= 2.4.0
Requires: 	libglade >= 2.3.6
Requires: 	libxml2 >= 2.6.5
Requires: 	prolinga-calc >= 0.0.1
Requires: 	prolinga-soap >= 0.0.1

%description
ProLingar- Run is a run-time engine. It is an interpreter 
that processes XML documents generated from 4GL logic 
statements by ProLinga-Validate. 4GL statements include 
bindings to the popular GTK+ User Interface for the 
Linux (GNOME) desktop.

%package server
Summary:	prolinga-run daemon.
Group:		System Environment/Libraries
Requires:	libxml2 >= 2.6.5
Requires: 	prolinga-calc >= 0.0.1
Requires: 	prolinga-soap >= 0.0.1

%description server
This package contains the run daemon.

%package devel
Summary:	Development libraries and header files for prolinga-run.
Group:		Development/Libraries
Requires:	%name-libs = %{version}
Requires:	%name = %{version}
Requires: 	gtk2 >= 2.4.0
Requires: 	gtk2-devel >= 2.4.0
Requires: 	libglade >= 2.4.0
Requires: 	libglade-devel >= 2.4.0
Requires: 	libxml2 >= 2.6.5
Requires: 	libxml2-devel >= 2.6.5
Requires: 	prolinga-calc >= 0.0.1
Requires: 	prolinga-calc-devel >= 0.0.1
Requires: 	prolinga-soap >= 0.0.1
Requires: 	prolinga-soap-devel >= 0.0.1

%description devel
This package contains the header files and libraries needed to write
or compile programs that use prolinga-run.

%prep
%setup -q

%build
%configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} 
make
make html

%install
rm -rf %{buildroot}
%makeinstall

# Put startup script in the right place.
mkdir -p %{buildroot}%{_sysconfdir}/rc.d/init.d/
install -m 755 %{_builddir}/%{name}-%{version}/prolinga/prolingarund.init %{buildroot}%{_sysconfdir}/rc.d/init.d/prolingarund

# Set hostname to localhost in config file.
sed -e "s?`(hostname || uname -n) 2>/dev/null | sed 1q`<?localhost<?g" < %{buildroot}%{_sysconfdir}/prolingaruncfg.xml > %{_tmppath}/prolingaruncfg.tmp
mv %{_tmppath}/prolingaruncfg.tmp %{buildroot}%{_sysconfdir}/prolingaruncfg.xml

%clean
rm -rf %{buildroot}

%post
# update library links.
/sbin/ldconfig

# Change hostname from localhost to real hostname in config file.
sed -e "s?localhost<?`(hostname || uname -n) 2>/dev/null | sed 1q`<?g" < %{_sysconfdir}/prolingaruncfg.xml > %{_tmppath}/prolingaruncfg.tmp
mv %{_tmppath}/prolingaruncfg.tmp %{_sysconfdir}/prolingaruncfg.xml

# Set correct permissions
chmod 644 %{_sysconfdir}/prolingaruncfg.xml

%post server
# Add prolingarund as service
/sbin/chkconfig --add prolingarund

%preun server
if [ "$1" -eq 0 ]; then
    /sbin/service prolingarund stop > /dev/null 2>&1
    /sbin/chkconfig --del prolingarund
fi
exit 0

%postun
# update library links.
/sbin/ldconfig

%postun server
if [ "$1" -ge 1 ]; then
    /sbin/service prolingarund condrestart > /dev/null 2>&1
fi
exit 0

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README NEWS
%doc doc/html
%{_bindir}/prolinga
%{_bindir}/prolingarun
%{_bindir}/prolingarunclient
%{_libdir}/libprolingarun-*.so.*
%{_sysconfdir}/prolingaruncfg.xml

%files server
%{_bindir}/prolingarund
%config /etc/rc.d/init.d/*

%files devel
%defattr(-, root, root)
%doc doc/*.xml doc/*.xsl doc/*.txt
%{_includedir}/prolinga
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%changelog
* Mon Mar 24 2008 Bas Driessen <bas.driessen@xobas.com> 0.0.1-1.net.fc8
- Initial spec file.


